Function Error(x)
!========================================================================================
!
!
!
!
!
!
!========================================================================================
 Use Double_Precision
 Implicit None
  REAL(dp),INTENT(IN) :: x
  Interface
    Subroutine RKF(tstart,tend,y,neqn,H,Hmin,Hmax,epsi1,epsi2,exitflag)
      Use Double_Precision
      INTEGER,INTENT(IN) :: neqn
      Character,INTENT(OUT) :: exitflag
      REAL(dp),INTENT(IN) :: epsi1, epsi2, Hmin, Hmax, tstart, tend
      REAL(dp),INTENT(INOUT) :: H
      REAL(dp),DIMENSION(:),INTENT(INOUT) :: y
      INTERFACE
        FUNCTION ODEfunction(t,y,neqn)
          Use Double_Precision
          INTEGER,INTENT(IN) :: neqn
          REAL(dp),INTENT(IN) :: t
          REAL(dp),DIMENSION(:),INTENT(IN) :: y
        END FUNCTION ODEfunction
      END INTERFACE
    END SUBROUTINE RKF 
  END INTERFACE
  !Locale variables (problem specific)
  REAL(dp) :: H, ytarget, epsi1, epsi2, H1, H2, tstart, t2, Error
  REAL(dp),DIMENSION(2) :: y
  INTEGER,parameter :: neqn=2
  CHARACTER :: flag

 ! neqn = 2
 ! ALLOCATE(y(neqn))  
  y(1) = 30.0
  y(2) = x
  tstart = 0.0
  t2 = 2
  H = 0.25
  H1 = 0.00001
  H2 = 0.5
  epsi1 = 10E-6
  epsi2 = 10E-2
  ytarget = 21.0
  CALL RKF(tstart,t2,y,neqn,H,H1,H2,epsi1,epsi2,flag)
  Error = ytarget - y(1) 
  RETURN
 ! DEALLOCATE(y)

End Function
